## AgsExpanderSet

AgsExpanderSet — Grid widget with expander

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_EXPANDER_SET_CHILD()
AgsExpanderSetChild * | ags_expander_set_child_alloc ()
void | ags_expander_set_child_free ()
AgsExpanderSetChild * | ags_expander_set_child_find ()
void | ags_expander_set_add ()
void | ags_expander_set_remove ()
AgsExpanderSet * | ags_expander_set_new ()

## Types and Values

enum | AgsExpanderSetFlags
struct | AgsExpanderSetChild

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkGrid
                    ╰── AgsExpanderSet

## Includes

    #include <ags/widget/ags_expander_set.h>

## Description

AgsExpanderSet is a composite widget containing a GtkGrid.

## Functions

### AGS_EXPANDER_SET_CHILD()

    #define AGS_EXPANDER_SET_CHILD(ptr) ((AgsExpanderSetChild *)(ptr))

### ags_expander_set_child_alloc ()

    AgsExpanderSetChild *
    ags_expander_set_child_alloc (guint x,
                                  guint y,
                                  guint width,
                                  guint height);

Allocate AgsExpanderSetChild.

#### Parameters

x | the x position |
y | the y position |
width | the width |
height | the height |

#### Returns

the new AgsExpanderSetChild.

[type gpointer][transfer full]

Since: 3.0.0

### ags_expander_set_child_free ()

    void
    ags_expander_set_child_free (AgsExpanderSetChild *expander_set_child);

Free `expander_set_child` .

#### Parameters

expander_set_child | the AgsExpanderSetChild. | [type gpointer][transfer full]

Since: 3.2.2

### ags_expander_set_child_find ()

    AgsExpanderSetChild *
    ags_expander_set_child_find (AgsExpanderSet *expander_set,
                                 GtkWidget *child);

Find `child` of `expander_set` .

#### Parameters

expander_set | the AgsExpanderSet |
child | the GtkWidget |

#### Returns

the matching AgsExpanderSetChild.

[type gpointer][transfer none]

Since: 3.0.0

### ags_expander_set_add ()

    void
    ags_expander_set_add (AgsExpanderSet *expander_set,
                          GtkWidget *widget,
                          guint x,
                          guint y,
                          guint width,
                          guint height);

Adds a GtkWidget to AgsExpanderSet

#### Parameters

expander_set | the AgsExpanderSet |
widget | the child GtkWidget |
x | x-position |
y | y-position |
width | allocation width |
height | allocation height |

Since: 3.0.0

### ags_expander_set_remove ()

    void
    ags_expander_set_remove (AgsExpanderSet *expander_set,
                             GtkWidget *widget);

Removes a GtkWidget of AgsExpanderSet

#### Parameters

expander_set | the AgsExpanderSet |
widget | the child GtkWidget |

Since: 3.0.0

### ags_expander_set_new ()

    AgsExpanderSet *
    ags_expander_set_new ();

Creates an AgsExpanderSet

#### Returns

a new AgsExpanderSet

Since: 3.0.0

## Types and Values

### enum AgsExpanderSetFlags

#### Members

AGS_EXPANDER_SET_DRAW_GHOST |  |
AGS_EXPANDER_SET_DRAW_LEFT_ENDING |  |
AGS_EXPANDER_SET_DRAW_RIGHT_ENDING |  |
AGS_EXPANDER_SET_DRAW_LEFT_CONNECTOR |  |
AGS_EXPANDER_SET_DRAW_RIGHT_CONNECTOR |  |

### struct AgsExpanderSetChild

    struct AgsExpanderSetChild {
      GtkWidget *child;

      guint x;
      guint y;

      guint width;
      guint height;
    };